Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 863995 - games-util/gamemode-1.7 - ../.../common-pidfds.c: error: implicit declaration of function pidfd_open
Summary: games-util/gamemode-1.7 - ../.../common-pidfds.c: error: implicit declaration...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Kai Krakow
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: glibc-2.36
  Show dependency tree
 
Reported: 2022-08-06 15:25 UTC by Toralf Förster
Modified: 2022-08-23 23:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.81 KB, text/plain)
2022-08-06 15:25 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,223.34 KB, text/plain)
2022-08-06 15:25 UTC, Toralf Förster
Details
environment (environment,119.80 KB, text/plain)
2022-08-06 15:25 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,36.16 KB, application/x-bzip)
2022-08-06 15:25 UTC, Toralf Förster
Details
games-util:gamemode-1.7:20220806-151232.log (games-util:gamemode-1.7:20220806-151232.log,25.12 KB, text/plain)
2022-08-06 15:25 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,6.31 KB, application/x-bzip)
2022-08-06 15:25 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,30.61 KB, application/x-bzip)
2022-08-06 15:25 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-08-06 15:25:20 UTC
too long lines were shrinked:

[7/31] x86_64-pc-linux-gnu-gcc -Icommon/libdaemon-common.a.p -Icommon -I../gamemode-1.7/common -I. -I../gamemode-1.7 -fdiagnostics-color=always -D_FILE_OFFSET_BITS=64 -Wall -Winvalid-pch -Wextra -Wpedantic -std=c11 -O0 -fstack-protector -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-functi
FAILED: common/libdaemon-common.a.p/common-pidfds.c.o 
x86_64-pc-linux-gnu-gcc -Icommon/libdaemon-common.a.p -Icommon -I../gamemode-1.7/common -I. -I../gamemode-1.7 -fdiagnostics-color=always -D_FILE_OFFSET_BITS=64 -Wall -Winvalid-pch -Wextra -Wpedantic -std=c11 -O0 -fstack-protector -Wstrict-prototypes -Wundef -fno-common -Werror-implicit-function-decl
../gamemode-1.7/common/common-pidfds.c: In function open_pidfds:
../gamemode-1.7/common/common-pidfds.c:70:26: error: implicit declaration of function pidfd_open; did you mean fdopen? [-Werror=implicit-function-declaration]
   70 |                 int fd = pidfd_open(pid, 0);
      |                          ^~~~~~~~~~

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-j4-20220804-180005

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-12.1.1 *
clang/llvm (if any):
/usr/lib/llvm/14
14.0.6
Python 3.10.6
Available Rust versions:
  [1]   rust-bin-1.62.1 *
The following VMs are available for generation-2:
1)	Eclipse Temurin JDK 11.0.15_p10 [openjdk-bin-11]
*)	Eclipse Temurin JDK 17.0.3_p7 [openjdk-bin-17]
3)	Eclipse Temurin JDK 8.332_p09 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-11 
  [3]   openjdk-bin-17  system-vm

The Glorious Glasgow Haskell Compilation System, version 9.0.2
php cli:

  HEAD of ::gentoo
commit 98a2a12057a3e80a857e08e49bf590d4ac8570ac
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sat Aug 6 14:31:57 2022 +0000

    2022-08-06 14:31:56 UTC

emerge -qpvO games-util/gamemode
[ebuild  N    ] games-util/gamemode-1.7  USE="systemd (-elogind)" ABI_X86="(64) -32"
Comment 1 Toralf Förster gentoo-dev 2022-08-06 15:25:21 UTC
Created attachment 798322 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-08-06 15:25:23 UTC
Created attachment 798325 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2022-08-06 15:25:24 UTC
Created attachment 798328 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2022-08-06 15:25:26 UTC
Created attachment 798331 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2022-08-06 15:25:27 UTC
Created attachment 798334 [details]
games-util:gamemode-1.7:20220806-151232.log
Comment 6 Toralf Förster gentoo-dev 2022-08-06 15:25:28 UTC
Created attachment 798337 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2022-08-06 15:25:29 UTC
Created attachment 798340 [details]
temp.tar.bz2
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-08-09 00:40:25 UTC
(I'm assuming this is glibc-2.36, not verified)
Comment 10 Larry the Git Cow gentoo-dev 2022-08-23 23:09:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afb4327c2bc182f062aea233c9f20f9ddc0f27c2

commit afb4327c2bc182f062aea233c9f20f9ddc0f27c2
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-08-23 23:07:45 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-08-23 23:07:45 +0000

    games-util/gamemode: fix build w/ glibc 2.36
    
    Closes: https://bugs.gentoo.org/863995
    Signed-off-by: Sam James <sam@gentoo.org>

 .../gamemode/files/gamemode-1.7-glibc-2.36.patch     | 20 ++++++++++++++++++++
 games-util/gamemode/gamemode-1.7.ebuild              |  1 +
 2 files changed, 21 insertions(+)